#!/bin/bash
SERVERNAME=bionic-01-med-guest
# CONFIG_VOLUME=c351adef-47d5-424f-b073-fd7e1cb7c981

echo "Creating VM ${SERVERNAME}"

openstack server create  \
--image ubuntu-18.04.0.1-amd64 \
--user-data data-${SERVERNAME}.yaml \
--key-name "Sebastian Rojo" \
--flavor m1.medium.sd \
--min 1 \
--max 1 \
--security-group DefaultSapian \
--availability-zone nuczone \
--nic net-id=41f72a3e-eecf-4c85-aec5-0007ad1a0201 \
--wait \
${SERVERNAME}

for RUN in {1..50}; do
    if [ "$(openstack server show ${SERVERNAME} | awk '/status/ {print $4}')" == "ACTIVE" ]
    then
      openstack server show ${SERVERNAME}
      echo "${SERVERNAME} Active. Attahing CONFIG_VOLUME ${CONFIG_VOLUME}..."
      # openstack server add volume --device /dev/vdb ${SERVERNAME} ${CONFIG_VOLUME}
      #openstack server add floating ip ${SERVERNAME} 172.16.253.108
      #openstack volume show ${CONFIG_VOLUME}
      openstack server show ${SERVERNAME}
      exit 0
    else
      echo "VM ${SERVERNAME} is not active yet"
      sleep 2
    fi
done
